## org.w3c.dom.svg
Interface SVGFEBlendElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

All Known Implementing Classes:
  SVGOMFEBlendElement

public interface SVGFEBlendElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` `SVG_FEBLEND_MODE_DARKEN`
`static short` `SVG_FEBLEND_MODE_LIGHTEN`
`static short` `SVG_FEBLEND_MODE_MULTIPLY`
`static short` `SVG_FEBLEND_MODE_NORMAL`
`static short` `SVG_FEBLEND_MODE_SCREEN`
`static short` `SVG_FEBLEND_MODE_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedString` `getIn1()`
`SVGAnimatedString` `getIn2()`
`SVGAnimatedEnumeration` `getMode()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_FEBLEND_MODE_UNKNOWN

    public static final short SVG_FEBLEND_MODE_UNKNOWN

See Also:
  Constant Field Values

### SVG_FEBLEND_MODE_NORMAL

    public static final short SVG_FEBLEND_MODE_NORMAL

See Also:
  Constant Field Values

### SVG_FEBLEND_MODE_MULTIPLY

    public static final short SVG_FEBLEND_MODE_MULTIPLY

See Also:
  Constant Field Values

### SVG_FEBLEND_MODE_SCREEN

    public static final short SVG_FEBLEND_MODE_SCREEN

See Also:
  Constant Field Values

### SVG_FEBLEND_MODE_DARKEN

    public static final short SVG_FEBLEND_MODE_DARKEN

See Also:
  Constant Field Values

### SVG_FEBLEND_MODE_LIGHTEN

    public static final short SVG_FEBLEND_MODE_LIGHTEN

See Also:
  Constant Field Values

Method Detail

### getIn1

    public SVGAnimatedString getIn1()

### getIn2

    public SVGAnimatedString getIn2()

### getMode

    public SVGAnimatedEnumeration getMode()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.